#ifndef ISR_H
#define ISR_H

// Every ISR for the 21 first intel-defined interrupts.

void int_de(void);      // Divide Error
void int_db(void);      // Debug Exception
void int_nmi(void);     // NMI Interrupt
void int_bp(void);      // Breakpoint
void int_of(void);      // Overflow
void int_br(void);      // BOUND Range Exceeded
void int_ud(void);      // Invalid Opcode (Undefined Opcode)
void int_nm(void);      // Device Not Available (No Math Coprocessor)
void int_df(void);      // Double Fault
void int_ts(void);      // Invalid TSS
void int_np(void);      // Segment Not Present
void int_ss(void);      // Stack-Segment Fault
void int_gp(void);      // General Protection
void int_pf(void);      // Page Fault
void int_mf(void);      // x87 FPU Floating-Point Error (Math Fault)
void int_ac(void);      // Alignment Check
void int_mc(void);      // Machine Check
void int_xm(void);      // SIMD Floating-Point Exception
void int_ve(void);      // Virtualization Exception

// ISR for PIC interrupts.

void pic_pit(void);
void pic_keyboard(void);

#endif  /* !ISR_H */
